MQINC=/usr/mqm/inc
echo "Enter the ORACLE_SID for the MQSeries install"
read ORACLE_SID
echo "Enter SYSTEM password"
read PASSWD
export ORAENV_ASK=NO
. oraenv
echo "Enter the path to install the shared libraries"
read MQ_LIBPATH
echo " "
echo "ORACLE_SID = $ORACLE_SID"
echo "ORACLE_HOME = $ORACLE_HOME"
echo "Installation Path = $MQ_LIBPATH"
echo " "
echo "Okay to continue? (Y or N)"
read response
resp=`echo $response | tr '[a-z]*' '[A-Z]*' `
if [ "$resp" != "Y" ]; then
   echo "Installation aborted"
   exit
fi
echo " "
echo "Precompiling Pro C subroutines..."
USERID="system/$PASSWD"
PROCPLSFLAGS=" sqlcheck=full userid=$USERID CHAR_MAP=VARCHAR2 DBMS=V8 INCLUDE=$MQINC"
${ORACLE_HOME}/bin/proc ${PROCPLSFLAGS} iname=mqixa.pc
echo " "
echo "Compiling C subroutines..."
cc mqi.c -c -o mqi.o -q32 -I $MQINC
cc mqixa.c -c -o mqixa.o -q32 -I $MQINC
echo " "
echo "Making shared libraries..."
echo " "
rm -f $MQ_LIBPATH/mqi.so*
rm -f $MQ_LIBPATH/mqseries.so*
make -f $ORACLE_HOME/rdbms/demo/demo_rdbms.mk extproc_nocallback SHARED_LIBNAME=$MQ_LIBPATH/mqseries.so OBJS="/usr/mqm/lib/libmqm.a"
make -f $ORACLE_HOME/rdbms/demo/demo_rdbms.mk extproc_nocallback SHARED_LIBNAME=$MQ_LIBPATH/mqi.so OBJS="mqi.o"
make -f $ORACLE_HOME/rdbms/demo/demo_rdbms.mk extproc_callback SHARED_LIBNAME=$MQ_LIBPATH/mqixa.so OBJS=mqixa.o
echo "Define MQSeries package"
sqlplus system/$PASSWD @mqinstall.sql $MQ_LIBPATH/mqi.so $MQ_LIBPATH/mqseries.so $MQ_LIBPATH/mqixa.so
